package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZBuilding;
import com.ruoyi.zdsz.domain.vo.ZAreaVo;
import com.ruoyi.zdsz.domain.vo.ZBuildingVo;
import com.ruoyi.zdsz.domain.bo.ZBuildingBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 楼栋管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZBuildingService {

    List<ZBuildingVo> getBuildingList(String areaId);


    int getBuildingListByAreaId(Collection<String> ids);

    /**
     * 查询楼栋管理
     */
    ZBuildingVo queryById(String id);

    /**
     * 查询楼栋管理列表
     */
    TableDataInfo<ZBuildingVo> getPageList(ZBuildingBo bo, PageQuery pageQuery);

    /**
     * 查询楼栋管理列表
     */
    List<ZBuildingVo> queryList(ZBuildingBo bo);

    /**
     * 新增楼栋管理
     */
    Boolean insertByBo(ZBuildingBo bo);

    /**
     * 修改楼栋管理
     */
    Boolean updateByBo(ZBuildingBo bo);

    /**
     * 校验并批量删除楼栋管理信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
